## golang-gopkg-olivere-elastic.v5 5.0.83

=== cluster-test/Makefile ===
.PHONY: build run-omega-cluster-test

default: build

build:
	go build cluster-test.go

run-omega-cluster-test:
	go run -race cluster-test.go \
		-nodes=http://192.168.2.65:8200,http://192.168.2.64:8200 \
		-n=5 \
		-retries=5 \
		-sniff=true -sniffer=10s \
		-healthcheck=true -healthchecker=5s \
		-errorlog=errors.log

## golang-gopkg-olivere-elastic.v5 5.0.69

=== debian/changelog ===
golang-gopkg-olivere-elastic.v5 (5.0.69-1) unstable; urgency=medium

  * Initial release (Closes: #900492).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 01 Jun 2018 08:28:06 +1000

=== debian/control ===
Source: golang-gopkg-olivere-elastic.v5
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 11~),
               dh-golang,
               golang-any
    ,golang-github-fortytw2-leaktest-dev
    ,golang-github-google-uuid-dev
    ,golang-github-mailru-easyjson-dev
    ,golang-github-pkg-errors-dev
    ,golang-golang-x-sync-dev
Standards-Version: 4.1.4
Homepage: https://github.com/olivere/elastic
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-olivere-elastic.v5
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gopkg-olivere-elastic.v5.git
XS-Go-Import-Path: gopkg.in/olivere/elastic.v5
Testsuite: autopkgtest-pkg-go

Package: golang-gopkg-olivere-elastic.v5-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
    ,golang-github-fortytw2-leaktest-dev
    ,golang-github-google-uuid-dev
    ,golang-github-mailru-easyjson-dev
    ,golang-github-pkg-errors-dev
    ,golang-golang-x-sync-dev
Description: Elasticsearch client for Golang
 Provides an interface to the Elasticsearch server
 (http://www.elasticsearch.org/). It can manage full text indices, index
 documents, and search them.
 .
 This package contains v5 of the upstream client API.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := recipes elastic.v5/cluster-test

override_dh_auto_install:
	dh_auto_install -- --no-binaries

%:
	dh $@ --buildsystem=golang --with=golang

## golang-gopkg-olivere-elastic.v5 5.0.83

=== debian/changelog ===
golang-gopkg-olivere-elastic.v5 (5.0.83-1) unstable; urgency=medium

  * New upstream release.
  * DH to version 12
  * Standards-Version: 4.4.1
  * rules: run "go generate"
  * (Build-)Depends:
    + golang-easyjson
    + golang-github-smartystreets-go-aws-auth-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 25 Dec 2019 10:42:21 +1100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any
+    ,golang-easyjson
     ,golang-github-fortytw2-leaktest-dev
     ,golang-github-google-uuid-dev
     ,golang-github-mailru-easyjson-dev
     ,golang-github-pkg-errors-dev
+    ,golang-github-smartystreets-go-aws-auth-dev
     ,golang-golang-x-sync-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: https://github.com/olivere/elastic
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-olivere-elastic.v5
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gopkg-olivere-elastic.v5.git
@@ -26,6 +28,7 @@
     ,golang-github-google-uuid-dev
     ,golang-github-mailru-easyjson-dev
     ,golang-github-pkg-errors-dev
+    ,golang-github-smartystreets-go-aws-auth-dev
     ,golang-golang-x-sync-dev
 Description: Elasticsearch client for Golang
  Provides an interface to the Elasticsearch server

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DH_GOLANG_EXCLUDES := recipes elastic.v5/cluster-test
+export DH_GOLANG_GO_GENERATE := 1
 
 override_dh_auto_install:
 	dh_auto_install -- --no-binaries

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-olivere-elastic-\$1\.tar\.gz/,\\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \\
  https://github.com/olivere/elastic/tags .*/v?(5\S*)\.tar\.gz
